diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/partitions/static/js/partition.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/partitions/static/js/partition.js
index a1a27b2c..fd53f743 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/partitions/static/js/partition.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/partitions/static/js/partition.js
@@ -568,226 +579,218 @@ function(gettext, url_for, $, _, S, pgAdmin, pgBrowser, Backform, alertify) {
                     primary_key_column_coll.trigger('pgadmin:multicolumn:updated', primary_key_column_coll);
                   }
                 }
-              })
+              });
             },
             remove: function() {
               var collection = this.model.get(this.field.get('name'));
               if (collection) {
-                collection.off("change:is_primary_key");
+                collection.off('change:is_primary_key');
               }
 
               Backform.UniqueColCollectionControl.prototype.remove.apply(this, arguments);
-            }
+            },
           }),
-          allowMultipleEmptyRow: false
+          allowMultipleEmptyRow: false,
         },{
           id: 'inherited_tables_cnt', label: gettext('Inherited tables count'),
           type: 'text', mode: ['properties'], group: gettext('Advanced'),
-          disabled: 'inSchema'
+          disabled: 'inSchema',
         },{
           // Here we will create tab control for constraints
           type: 'nested', control: 'tab', group: gettext('Constraints'),
           mode: ['edit', 'create'],
           schema: [{
-              id: 'primary_key', label: gettext('Primary key'),
-              model: pgBrowser.Nodes['primary_key'].model,
-              subnode: pgBrowser.Nodes['primary_key'].model,
-              editable: false, type: 'collection',
-              group: gettext('Primary Key'), mode: ['edit', 'create'],
-              canEdit: true, canDelete: true, deps:['is_partitioned'],
-              control: 'unique-col-collection',
-              columns : ['name', 'columns'],
-              canAdd: function(m) {
-                if (m.get('is_partitioned')) {
-                  setTimeout(function() {
-                    var coll = m.get('primary_key');
-                    coll.remove(coll.filter(function(model) {
-                      return true;
-                    }));
-                  }, 10);
-                  return false;
-                }
+            id: 'primary_key', label: gettext('Primary key'),
+            model: pgBrowser.Nodes['primary_key'].model,
+            subnode: pgBrowser.Nodes['primary_key'].model,
+            editable: false, type: 'collection',
+            group: gettext('Primary Key'), mode: ['edit', 'create'],
+            canEdit: true, canDelete: true, deps:['is_partitioned'],
+            control: 'unique-col-collection',
+            columns : ['name', 'columns'],
+            canAdd: function(m) {
+              if (m.get('is_partitioned')) {
+                setTimeout(function() {
+                  var coll = m.get('primary_key');
+                  coll.remove(coll.filter(function() { return true; }));
+                }, 10);
+                return false;
+              }
 
-                return true;
-              },
-              canAddRow: function(m) {
+              return true;
+            },
+            canAddRow: function(m) {
                // User can only add one primary key
-               var columns = m.get('columns');
+              var columns = m.get('columns');
 
-               return (m.get('primary_key') &&
+              return (m.get('primary_key') &&
                         m.get('primary_key').length < 1 &&
                         _.some(columns.pluck('name')));
+            },
+          },{
+            id: 'foreign_key', label: gettext('Foreign key'),
+            model: pgBrowser.Nodes['foreign_key'].model,
+            subnode: pgBrowser.Nodes['foreign_key'].model,
+            editable: false, type: 'collection',
+            group: gettext('Foreign Key'), mode: ['edit', 'create'],
+            canEdit: true, canDelete: true, deps:['is_partitioned'],
+            control: 'unique-col-collection',
+            canAdd: function(m) {
+              if (m.get('is_partitioned')) {
+                setTimeout(function() {
+                  var coll = m.get('foreign_key');
+                  coll.remove(coll.filter(function() { return true; }));
+                }, 10);
+                return false;
               }
-            },{
-              id: 'foreign_key', label: gettext('Foreign key'),
-              model: pgBrowser.Nodes['foreign_key'].model,
-              subnode: pgBrowser.Nodes['foreign_key'].model,
-              editable: false, type: 'collection',
-              group: gettext('Foreign Key'), mode: ['edit', 'create'],
-              canEdit: true, canDelete: true, deps:['is_partitioned'],
-              control: 'unique-col-collection',
-              canAdd: function(m) {
-                if (m.get('is_partitioned')) {
-                  setTimeout(function() {
-                    var coll = m.get('foreign_key');
-                    coll.remove(coll.filter(function(model) {
-                      return true;
-                    }));
-                  }, 10);
-                  return false;
-                }
 
-                return true;
-              },
-              columns : ['name', 'columns'],
-              canAddRow: function(m) {
+              return true;
+            },
+            columns : ['name', 'columns'],
+            canAddRow: function(m) {
                // User can only add if there is at least one column with name.
-               var columns = m.get('columns');
-               return _.some(columns.pluck('name'));
+              var columns = m.get('columns');
+              return _.some(columns.pluck('name'));
+            },
+          },{
+            id: 'check_constraint', label: gettext('Check constraint'),
+            model: pgBrowser.Nodes['check_constraint'].model,
+            subnode: pgBrowser.Nodes['check_constraint'].model,
+            editable: false, type: 'collection',
+            group: gettext('Check'), mode: ['edit', 'create'],
+            canEdit: true, canDelete: true, deps:['is_partitioned'],
+            control: 'unique-col-collection',
+            canAdd: true,
+            columns : ['name', 'consrc'],
+          },{
+            id: 'unique_constraint', label: gettext('Unique Constraint'),
+            model: pgBrowser.Nodes['unique_constraint'].model,
+            subnode: pgBrowser.Nodes['unique_constraint'].model,
+            editable: false, type: 'collection',
+            group: gettext('Unique'), mode: ['edit', 'create'],
+            canEdit: true, canDelete: true, deps:['is_partitioned'],
+            control: 'unique-col-collection',
+            columns : ['name', 'columns'],
+            canAdd: function(m) {
+              if (m.get('is_partitioned')) {
+                setTimeout(function() {
+                  var coll = m.get('unique_constraint');
+                  coll.remove(coll.filter(function() { return true; }));
+                }, 10);
+                return false;
               }
-            },{
-              id: 'check_constraint', label: gettext('Check constraint'),
-              model: pgBrowser.Nodes['check_constraint'].model,
-              subnode: pgBrowser.Nodes['check_constraint'].model,
-              editable: false, type: 'collection',
-              group: gettext('Check'), mode: ['edit', 'create'],
-              canEdit: true, canDelete: true, deps:['is_partitioned'],
-              control: 'unique-col-collection',
-              canAdd: true,
-              columns : ['name', 'consrc']
-            },{
-              id: 'unique_constraint', label: gettext('Unique Constraint'),
-              model: pgBrowser.Nodes['unique_constraint'].model,
-              subnode: pgBrowser.Nodes['unique_constraint'].model,
-              editable: false, type: 'collection',
-              group: gettext('Unique'), mode: ['edit', 'create'],
-              canEdit: true, canDelete: true, deps:['is_partitioned'],
-              control: 'unique-col-collection',
-              columns : ['name', 'columns'],
-              canAdd: function(m) {
-                if (m.get('is_partitioned')) {
-                  setTimeout(function() {
-                    var coll = m.get('unique_constraint');
-                    coll.remove(coll.filter(function(model) {
-                      return true;
-                    }));
-                  }, 10);
-                  return false;
-                }
 
-                return true;
-              },
-              canAddRow: function(m) {
+              return true;
+            },
+            canAddRow: function(m) {
                // User can only add if there is at least one column with name.
-               var columns = m.get('columns');
-               return _.some(columns.pluck('name'));
+              var columns = m.get('columns');
+              return _.some(columns.pluck('name'));
+            },
+          },{
+            id: 'exclude_constraint', label: gettext('Exclude constraint'),
+            model: pgBrowser.Nodes['exclusion_constraint'].model,
+            subnode: pgBrowser.Nodes['exclusion_constraint'].model,
+            editable: false, type: 'collection',
+            group: gettext('Exclude'), mode: ['edit', 'create'],
+            canEdit: true, canDelete: true, deps:['is_partitioned'],
+            control: 'unique-col-collection',
+            columns : ['name', 'columns', 'constraint'],
+            canAdd: function(m) {
+              if (m.get('is_partitioned')) {
+                setTimeout(function() {
+                  var coll = m.get('exclude_constraint');
+                  coll.remove(coll.filter(function() { return true; }));
+                }, 10);
+                return false;
               }
-            },{
-              id: 'exclude_constraint', label: gettext('Exclude constraint'),
-              model: pgBrowser.Nodes['exclusion_constraint'].model,
-              subnode: pgBrowser.Nodes['exclusion_constraint'].model,
-              editable: false, type: 'collection',
-              group: gettext('Exclude'), mode: ['edit', 'create'],
-              canEdit: true, canDelete: true, deps:['is_partitioned'],
-              control: 'unique-col-collection',
-              columns : ['name', 'columns', 'constraint'],
-              canAdd: function(m) {
-                if (m.get('is_partitioned')) {
-                  setTimeout(function() {
-                    var coll = m.get('exclude_constraint');
-                    coll.remove(coll.filter(function(model) {
-                      return true;
-                    }));
-                  }, 10);
-                  return false;
-                }
 
-                return true;
-              },
-              canAddRow: function(m) {
+              return true;
+            },
+            canAddRow: function(m) {
                // User can only add if there is at least one column with name.
-               var columns = m.get('columns');
-               return _.some(columns.pluck('name'));
-              }
-          }]
+              var columns = m.get('columns');
+              return _.some(columns.pluck('name'));
+            },
+          }],
         },{
           id: 'typname', label: gettext('Of type'), type: 'text',
-          control: 'node-ajax-options', mode: ['properties', 'create', 'edit'],
-          disabled: 'checkOfType', url: 'get_oftype', group: gettext('Advanced'),
-          deps: ['coll_inherits', 'is_partitioned'], transform: function(data, cell) {
+          mode: ['properties', 'create', 'edit'], group: gettext('Advanced'),
+          disabled: 'checkOfType', url: 'get_oftype',
+          deps: ['coll_inherits', 'is_partitioned'],
+          transform: function(data, cell) {
             var control = cell || this,
               m = control.model;
-              m.of_types_tables = data;
-              return data;
+            m.of_types_tables = data;
+            return data;
           },
           control: Backform.NodeAjaxOptionsControl.extend({
               // When of_types changes we need to clear columns collection
-              onChange: function() {
-                Backform.NodeAjaxOptionsControl.prototype.onChange.apply(this, arguments);
-                var self = this,
-                  tbl_oid = undefined,
-                  tbl_name = self.model.get('typname'),
-                  data = undefined,
-                  arg = undefined,
-                  column_collection = self.model.get('columns');
+            onChange: function() {
+              Backform.NodeAjaxOptionsControl.prototype.onChange.apply(this, arguments);
+              var self = this,
+                tbl_name = self.model.get('typname'),
+                data = undefined,
+                arg = undefined,
+                column_collection = self.model.get('columns');
 
-                if (!_.isUndefined(tbl_name) &&
+              if (!_.isUndefined(tbl_name) &&
                     tbl_name !== '' && column_collection.length !== 0) {
-                  var msg = gettext('Changing of table type will clear columns collection.');
-                  alertify.confirm(msg, function (e) {
-                    if (e) {
+                var msg = gettext('Changing of table type will clear columns collection.');
+                Alertify.confirm(msg, function (e) {
+                  if (e) {
                       // User clicks Ok, lets clear columns collection
-                      column_collection.reset();
-                    } else {
-                      return this;
-                    }
-                  });
-                } else if (!_.isUndefined(tbl_name) && tbl_name === '') {
-                  column_collection.reset();
-                }
+                    column_collection.reset();
+                  } else {
+                    return this;
+                  }
+                });
+              } else if (!_.isUndefined(tbl_name) && tbl_name === '') {
+                column_collection.reset();
+              }
 
                 // Run Ajax now to fetch columns
-                if (!_.isUndefined(tbl_name) && tbl_name !== '') {
-                  arg = { 'tname': tbl_name }
-                  data = self.model.fetch_columns_ajax.apply(self, [arg]);
+              if (!_.isUndefined(tbl_name) && tbl_name !== '') {
+                arg = { 'tname': tbl_name };
+                data = self.model.fetch_columns_ajax.apply(self, [arg]);
                   // Add into column collection
-                  column_collection.set(data, { merge:false,remove:false });
-                }
+                column_collection.set(data, { merge:false,remove:false });
               }
-            })
+            },
+          }),
         },{
           id: 'fillfactor', label: gettext('Fill factor'), type: 'int',
           mode: ['create', 'edit'], min: 10, max: 100,
-          disabled: 'inSchema',group: gettext('Advanced')
+          disabled: 'inSchema',group: gettext('Advanced'),
         },{
           id: 'relhasoids', label: gettext('Has OIDs?'), cell: 'switch',
           type: 'switch', mode: ['properties', 'create', 'edit'],
-          disabled: 'inSchema', group: gettext('Advanced')
+          disabled: 'inSchema', group: gettext('Advanced'),
         },{
           id: 'relpersistence', label: gettext('Unlogged?'), cell: 'switch',
           type: 'switch', mode: ['properties', 'create', 'edit'],
           disabled: 'inSchemaWithModelCheck',
-          group: gettext('Advanced')
+          group: gettext('Advanced'),
         },{
           id: 'conname', label: gettext('Primary key'), cell: 'string',
           type: 'text', mode: ['properties'], group: gettext('Advanced'),
-          disabled: 'inSchema'
+          disabled: 'inSchema',
         },{
           id: 'reltuples', label: gettext('Rows (estimated)'), cell: 'string',
           type: 'text', mode: ['properties'], group: gettext('Advanced'),
-          disabled: 'inSchema'
+          disabled: 'inSchema',
         },{
           id: 'rows_cnt', label: gettext('Rows (counted)'), cell: 'string',
           type: 'text', mode: ['properties'], group: gettext('Advanced'),
-          disabled: 'inSchema'
+          disabled: 'inSchema',
         },{
           id: 'relhassubclass', label: gettext('Inherits tables?'), cell: 'switch',
           type: 'switch', mode: ['properties'], group: gettext('Advanced'),
-          disabled: 'inSchema'
+          disabled: 'inSchema',
         },{
           id: 'is_sys_table', label: gettext('System table?'), cell: 'switch',
           type: 'switch', mode: ['properties'],
-          disabled: 'inSchema'
+          disabled: 'inSchema',
         },{
           type: 'nested', control: 'fieldset', label: gettext('Like'),
           group: gettext('Advanced'),
@@ -795,36 +798,36 @@ function(gettext, url_for, $, _, S, pgAdmin, pgBrowser, Backform, alertify) {
             id: 'like_relation', label: gettext('Relation'),
             type: 'text', mode: ['create', 'edit'], deps: ['typname'],
             control: 'node-ajax-options', url: 'get_relations',
-            disabled: 'isLikeDisable', group: gettext('Like')
+            disabled: 'isLikeDisable', group: gettext('Like'),
           },{
             id: 'like_default_value', label: gettext('With default values?'),
             type: 'switch', mode: ['create', 'edit'], deps: ['typname'],
-            disabled: 'isLikeDisable', group: gettext('Like')
+            disabled: 'isLikeDisable', group: gettext('Like'),
           },{
             id: 'like_constraints', label: gettext('With constraints?'),
             type: 'switch', mode: ['create', 'edit'], deps: ['typname'],
-            disabled: 'isLikeDisable', group: gettext('Like')
+            disabled: 'isLikeDisable', group: gettext('Like'),
           },{
             id: 'like_indexes', label: gettext('With indexes?'),
             type: 'switch', mode: ['create', 'edit'], deps: ['typname'],
-            disabled: 'isLikeDisable', group: gettext('Like')
+            disabled: 'isLikeDisable', group: gettext('Like'),
           },{
             id: 'like_storage', label: gettext('With storage?'),
             type: 'switch', mode: ['create', 'edit'], deps: ['typname'],
-            disabled: 'isLikeDisable', group: gettext('Like')
+            disabled: 'isLikeDisable', group: gettext('Like'),
           },{
             id: 'like_comments', label: gettext('With comments?'),
             type: 'switch', mode: ['create', 'edit'], deps: ['typname'],
-            disabled: 'isLikeDisable', group: gettext('Like')
-          }]
+            disabled: 'isLikeDisable', group: gettext('Like'),
+          }],
         },{
           id: 'partition_type', label:gettext('Partition Type'),
           editable: false, type: 'select2', select2: {allowClear: false},
           group: 'partition', deps: ['is_partitioned'],
           options:[{
-            label: gettext('Range'), value: 'range'
+            label: gettext('Range'), value: 'range',
           },{
-            label: gettext('List'), value: 'list'
+            label: gettext('List'), value: 'list',
           }],
           mode:['create'],
           visible: function(m) {
@@ -839,7 +842,7 @@ function(gettext, url_for, $, _, S, pgAdmin, pgBrowser, Backform, alertify) {
             if (!m.isNew() || !m.get('is_partitioned'))
               return true;
             return false;
-          }
+          },
         },{
           id: 'partition_keys', label:gettext('Partition Keys'),
           model: Backform.PartitionKeyModel,
@@ -878,12 +881,10 @@ function(gettext, url_for, $, _, S, pgAdmin, pgBrowser, Backform, alertify) {
             if (m.get('partition_keys') && m.get('partition_keys').models.length > 0) {
               setTimeout(function () {
                 var coll = m.get('partition_keys');
-                coll.remove(coll.filter(function(model) {
-                  return true;
-                }));
+                coll.remove(coll.filter(function() { return true; }));
               }, 10);
             }
-          }
+          },
         },{
           id: 'partition_scheme', label: gettext('Partition Scheme'),
           type: 'note', group: 'partition', mode: ['edit'],
@@ -899,7 +900,7 @@ function(gettext, url_for, $, _, S, pgAdmin, pgBrowser, Backform, alertify) {
             if (!m.isNew()) {
               this.text = m.get('partition_scheme');
             }
-          }
+          },
         },{
           id: 'partitions', label:gettext('Partitions'),
           model: Backform.PartitionsModel,
@@ -918,14 +919,14 @@ function(gettext, url_for, $, _, S, pgAdmin, pgBrowser, Backform, alertify) {
               var self = this;
               if (!this.model.isNew()) {
                 var node = this.field.get('schema_node'),
-                    node_info = this.field.get('node_info');
+                  node_info = this.field.get('node_info');
 
                 // Make ajax call to get the tables to be attached
                 $.ajax({
                   url: node.generate_url.apply(
                       node, [
                         null, 'get_attach_tables', this.field.get('node_data'),
-                        true, node_info
+                        true, node_info,
                       ]),
 
                   type: 'GET',
@@ -935,18 +936,18 @@ function(gettext, url_for, $, _, S, pgAdmin, pgBrowser, Backform, alertify) {
                       self.model.table_options = res.data;
                     }
                     else {
-                      alertify.alert(
+                      Alertify.alert(
                         gettext('Error fetching tables to be attached'), res.data.result
                       );
                     }
                   },
                   error: function(e) {
                     var errmsg = $.parseJSON(e.responseText);
-                    alertify.alert(gettext('Error fetching tables to be attached'), errmsg.errormsg);
-                  }
+                    Alertify.alert(gettext('Error fetching tables to be attached'), errmsg.errormsg);
+                  },
                 });
               }
-            }
+            },
           }
           ),
           canAdd: function(m) {
@@ -963,15 +964,16 @@ function(gettext, url_for, $, _, S, pgAdmin, pgBrowser, Backform, alertify) {
             return false;
           },
           disabled: function(m) {
-            if (m.isNew() && m.get('partitions') && m.get('partitions').models.length > 0) {
+            if (
+              m.isNew() && m.get('partitions') &&
+                m.get('partitions').models.length > 0
+            ) {
               setTimeout(function () {
                 var coll = m.get('partitions');
-                coll.remove(coll.filter(function(model) {
-                  return true;
-                }));
+                coll.remove(coll.filter(function() { return true; }));
               }, 10);
             }
-          }
+          },
         },{
           id: 'partition_note', label: gettext('Partition'),
           type: 'note', group: 'partition',
@@ -986,41 +988,39 @@ function(gettext, url_for, $, _, S, pgAdmin, pgBrowser, Backform, alertify) {
               return true;
 
             return false;
-          }
+          },
         },{
           // Here - we will create tab control for storage parameters
           // (auto vacuum).
           type: 'nested', control: 'tab', group: gettext('Parameter'),
           mode: ['edit', 'create'], deps: ['is_partitioned'],
-          schema: Backform.VacuumSettingsSchema
+          schema: Backform.VacuumSettingsSchema,
         },{
           id: 'relacl_str', label: gettext('Privileges'), disabled: 'inSchema',
-          type: 'text', mode: ['properties'], group: gettext('Security')
+          type: 'text', mode: ['properties'], group: gettext('Security'),
         }, pgBrowser.SecurityGroupSchema,{
           id: 'relacl', label: gettext('Privileges'), type: 'collection',
           group: 'security', control: 'unique-col-collection',
           model: pgBrowser.Node.PrivilegeRoleModel.extend({
-          privileges: ['a','r','w','d','D','x','t']}),
+            privileges: ['a','r','w','d','D','x','t']}),
           mode: ['edit', 'create'], canAdd: true, canDelete: true,
-          uniqueCol : ['grantee']
+          uniqueCol : ['grantee'],
         },{
           id: 'seclabels', label: gettext('Security labels'), canEdit: false,
           model: pgBrowser.SecLabelModel, editable: false, canAdd: true,
           type: 'collection', min_version: 90100, mode: ['edit', 'create'],
-          group: 'security', canDelete: true, control: 'unique-col-collection'
+          group: 'security', canDelete: true, control: 'unique-col-collection',
         },{
           id: 'vacuum_settings_str', label: gettext('Storage settings'),
-          type: 'multiline', group: gettext('Advanced'), mode: ['properties']
+          type: 'multiline', group: gettext('Advanced'), mode: ['properties'],
         }],
         validate: function(keys) {
-          var err = {},
-              changedAttrs = this.changed,
-              msg = undefined,
-              name = this.get('name'),
-              schema = this.get('schema'),
-              relowner = this.get('relowner'),
-              is_partitioned = this.get('is_partitioned'),
-              partition_keys = this.get('partition_keys');
+          var msg,
+            name = this.get('name'),
+            schema = this.get('schema'),
+            relowner = this.get('relowner'),
+            is_partitioned = this.get('is_partitioned'),
+            partition_keys = this.get('partition_keys');
 
           // If nothing to validate or VacuumSetting keys then
           // return from here
@@ -1085,7 +1085,7 @@ function(gettext, url_for, $, _, S, pgAdmin, pgBrowser, Backform, alertify) {
           // Disabled if it is partitioned table
           if (m.get('is_partitioned')) {
             setTimeout( function() {
-               m.set('coll_inherits', []);
+              m.set('coll_inherits', []);
             }, 10);
             return true;
           }
@@ -1117,8 +1117,8 @@ function(gettext, url_for, $, _, S, pgAdmin, pgBrowser, Backform, alertify) {
             if (!_.isUndefined(m.get('typname')) &&
                 !_.isNull(m.get('typname')) &&
                 m.get('typname') !== '') {
-                    enable_flag = false;
-                }
+              enable_flag = false;
+            }
           }
           return enable_flag;
         },
@@ -1137,7 +1137,7 @@ function(gettext, url_for, $, _, S, pgAdmin, pgBrowser, Backform, alertify) {
           // Disabled if it is partitioned table
           if (m.get('is_partitioned')) {
             setTimeout( function() {
-               m.set('typname', undefined);
+              m.set('typname', undefined);
             }, 10);
             return true;
           }
@@ -1184,20 +1184,19 @@ function(gettext, url_for, $, _, S, pgAdmin, pgBrowser, Backform, alertify) {
         },
         fetch_columns_ajax: function(arg) {
           var self = this,
-              url = 'get_columns',
-              m = self.model.top || self.model,
-              old_columns = _.clone(m.get('columns')),
-              data = undefined,
-              node = this.field.get('schema_node'),
-              node_info = this.field.get('node_info'),
-              full_url = node.generate_url.apply(
+            url = 'get_columns',
+            m = self.model.top || self.model,
+            data = undefined,
+            node = this.field.get('schema_node'),
+            node_info = this.field.get('node_info'),
+            full_url = node.generate_url.apply(
                 node, [
                   null, url, this.field.get('node_data'),
-                  this.field.get('url_with_id') || false, node_info
+                  this.field.get('url_with_id') || false, node_info,
                 ]
               ),
-              cache_level = this.field.get('cache_level') || node.type,
-              cache_node = this.field.get('cache_node');
+            cache_level = this.field.get('cache_level') || node.type,
+            cache_node = this.field.get('cache_node');
 
           cache_node = (cache_node && pgBrowser.Nodes['cache_node']) || node;
 
@@ -1212,40 +1211,40 @@ function(gettext, url_for, $, _, S, pgAdmin, pgBrowser, Backform, alertify) {
             },
             error: function() {
               m.trigger('pgadmin:view:fetch:error', m, self.field);
-            }
+            },
           });
           m.trigger('pgadmin:view:fetched', m, self.field);
           data = (data && data.data) || [];
           return data;
-        }
+        },
       }),
       canCreate: function(itemData, item, data) {
           //If check is false then , we will allow create menu
-          if (data && data.check == false)
-            return true;
+        if (data && data.check == false)
+          return true;
 
-          var t = pgBrowser.tree, i = item, d = itemData;
+        var t = pgBrowser.tree, i = item, d = itemData;
           // To iterate over tree to check parent node
-          while (i) {
+        while (i) {
             // If it is schema then allow user to create table
-            if (_.indexOf(['schema'], d._type) > -1)
-              return true;
+          if (_.indexOf(['schema'], d._type) > -1)
+            return true;
 
-            if ('coll-table' == d._type) {
+          if ('coll-table' == d._type) {
               //Check if we are not child of catalog
-              var prev_i = t.hasParent(i) ? t.parent(i) : null;
-              var prev_d = prev_i ? t.itemData(prev_i) : null;
-              if( prev_d._type == 'catalog') {
-                return false;
-              } else {
-                return true;
-              }
+            var prev_i = t.hasParent(i) ? t.parent(i) : null;
+            var prev_d = prev_i ? t.itemData(prev_i) : null;
+            if( prev_d._type == 'catalog') {
+              return false;
+            } else {
+              return true;
             }
-            i = t.hasParent(i) ? t.parent(i) : null;
-            d = i ? t.itemData(i) : null;
           }
+          i = t.hasParent(i) ? t.parent(i) : null;
+          d = i ? t.itemData(i) : null;
+        }
           // by default we do not want to allow create menu
-          return true;
+        return true;
       },
       // Check to whether table has disable trigger(s)
       canCreate_with_trigger_enable: function(itemData, item, data) {
@@ -1268,7 +1267,7 @@ function(gettext, url_for, $, _, S, pgAdmin, pgBrowser, Backform, alertify) {
             return false;
           }
         }
-      }
+      },
     });
   }
 
